Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
public abstract class

# AdListener

extends Object

java.lang.Object
↳ | com.google.android.gms.ads.AdListener

## Class Overview

A listener for receiving notifications during the lifecycle of an ad.

## Summary

Public Constructors
| AdListener()

Public Methods
void | onAdClosed() Called when the user is about to return to the application after clicking on an ad.
void | onAdFailedToLoad(int errorCode) Called when an ad request failed.
void | onAdLeftApplication() Called when an ad leaves the application (e.g., to go to the browser).
void | onAdLoaded() Called when an ad is received.
void | onAdOpened() Called when an ad opens an overlay that covers the screen.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Constructors

#### public AdListener ()

## Public Methods

#### public void onAdClosed ()

Called when the user is about to return to the application after clicking on an ad.

#### public void onAdFailedToLoad (int errorCode)

Called when an ad request failed. The error code is usually `ERROR_CODE_INTERNAL_ERROR`, `ERROR_CODE_INVALID_REQUEST`, `ERROR_CODE_NETWORK_ERROR`, or `ERROR_CODE_NO_FILL`.

#### public void onAdLeftApplication ()

Called when an ad leaves the application (e.g., to go to the browser).

#### public void onAdLoaded ()

Called when an ad is received.

#### public void onAdOpened ()

Called when an ad opens an overlay that covers the screen.